Ecuador companies search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-ec-companies-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "pronaca",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-ec-companies-search"
payload = {
"keyword": "pronaca",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'pronaca', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-ec-companies-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "ec_companies_search",
"keyword": "pronaca",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Ecuador — Superintendencia de Compañías — company search\n\n- **Keyword:** pronaca\n- **Results:** 2 of 5 found\n- **Proxy traffic:** 446 B",
"machine": {
"total_items": 2,
"first_item": {
"registration_number": "372983",
"ruc": "0993395700001",
"name": "JOAD-PRONACAKE S.A.S.",
"status": null,
"address": null,
"url": "https://appscvsgen.supercias.gob.ec/consultaCompanias/societario/busquedaCompanias.jsf",
"company_type": null,
"incorporation_date": null
},
"items": [
{
"registration_number": "372983",
"ruc": "0993395700001",
"name": "JOAD-PRONACAKE S.A.S.",
"status": null,
"address": null,
"url": "https://appscvsgen.supercias.gob.ec/consultaCompanias/societario/busquedaCompanias.jsf",
"company_type": null,
"incorporation_date": null
},
{
"registration_number": "7154",
"ruc": "1790319857001",
"name": "PROCESADORA NACIONAL DE ALIMENTOS C.A. PRONACA",
"status": null,
"address": null,
"url": "https://appscvsgen.supercias.gob.ec/consultaCompanias/societario/busquedaCompanias.jsf",
"company_type": null,
"incorporation_date": null
}
],
"total_found": 5,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 446
},
"total_points": 2
}Company Registries
Ecuador companies search
Search the Ecuador company registry (Superintendencia de Compañías) by company name: expediente number, RUC and name (the registry returns up to 15 matches per search). 1 point per returned record.
POST
/
functions
/
v1
/
run-ec-companies-search
Ecuador companies search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.